textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

models/mapobjects/defcon_tree/tree
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadows

	{
		map models/mapobjects/defcon_tree/tree.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_trim/tin
{
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/base_trim/tin.tga
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/lamplight_y
{
	q3map_surfacelight 10000
  cull disable
	{
                map textures/effects/envmapmach.tga
		
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen identity
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }


}

models/mapobjects/jesus/jesuswall
{
   deformvertexes wave 100 sin 0 .2 0 .2
   cull none         
        {
		map $lightmap
              	
	}
	{
		map models/mapobjects/jesus/jesuswall.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen vertex
		alphagen lightingspecular
	}


}

models/mapobjects/skel/skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skel/skel.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam_1.tga
                blendfunc add
        }
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/flame2
{
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

models/mapobjects/urbanterror/lamp/glass
{
	q3map_lightimage textures/sweetnutz/sn_casa_sky_mobb0b.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_lightsubdivide 32
	q3map_surfacelight 25000 

	{
	map models/mapobjects/urbanterror/lamp/glass2.tga
	}
	
}

models/mapobjects/gr_trees/nadel
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/nadel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/toxiclight/lamp
{
	qer_editorimage models/mapobjects/toxiclight/lamp.jpg
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/toxiclight/lamp.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map models/mapobjects/toxiclight/lamp.jpg
		blendfunc gl_one gl_one
	}
}

models/mapobjects/aamjs_mod/bush01
{
	qer_trans .5
	surfaceparm trans
	surfaceparm alphashadow	
	cull none
	nopicmip
	surfaceparm pointlight
	q3map_vertexscale 8
	{
		map models/mapobjects/aamjs_mod/bush01.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/ut_praguelighting/lamp
{
	qer_editorimage models/mapobjects/ut_praguelighting/lamp.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_lightimage textures/sweetnutz/sn_casa_sky_mobb0a.jpg
	q3map_lightsubdivide 32
	q3map_surfacelight 15000 

	{
	map models/mapobjects/ut_praguelighting/lamp.tga
	}
	
}

models/mapobjects/aamjs_mod/flowersred1
{
            cull none
	    polygonoffset
            nopicmip
	    q3map_bounce .1
            {
                        map models/mapobjects/aamjs_mod/flowersred1.tga
                        alphafunc ge128
                        depthwrite
 
            }


	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen vertex
	}
}

models/mapobjects/aamjs_mod/treetallthin2
{
qer_trans .5
surfaceparm trans
surfaceparm alphashadow
cull none
nopicmip
surfaceparm pointlight
q3map_vertexscale 1.5
	{
	map models/mapobjects/aamjs_mod/treetallthin2.tga
	alphafunc ge128
	depthwrite
	rgbgen vertex
	}
}

models/mapobjects/lighting2/chandelier2
{
q3map_surfacelight 6000
cull none
	{
	map models/mapobjects/lighting2/chandelier2.tga
	}
}

textures/invis/bulb_white
{
	qer_editorimage textures/invis/bulb_white.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/invis/bulb_white.tga
		rgbgen identity
	}
}

models/mapobjects/s8s/pinebranch
{
	cull none
	nopicmip

	{
		map models/mapobjects/s8s/pinebranch.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/s8s/trunk
{ 
   qer_editorimage models/mapobjects/s8s/trunk.tga 
   q3map_nonplanar 
   q3map_forcemeta         
   { 
      map models/mapobjects/s8s/trunk.tga 
   }
   {  
      map $lightmap
      blendfunc filter
	rgbgen identity
   }
}

textures/ut_berchtesgaden/ut_berchsky
{
	qer_editorimage textures/ut_berchtesgaden/ut_berch_skybox.tga
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	
	q3map_sunext 1 1 1 120 200 60 2 32
	q3map_skylight 80 6


	skyparms env/ut_berchtesgaden/ut_berchtesgadensky - -
}

textures/ut_berchtesgaden/flowingwater
{
	qer_editorimage textures/ut_berchtesgaden/water_move1.tga
	surfaceparm water
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .75
	cull none

	{
		map textures/ut_berchtesgaden/water_move2.tga
		tcmod scroll 0 1
		tcmod turb .1 .25 0 -.1
		blendfunc gl_one gl_one
	}
	{
		map textures/ut_berchtesgaden/water_move3.tga
		tcmod scroll .85 1
		blendfunc gl_one gl_one
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_berchtesgaden/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut_berchtesgaden/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut_berchtesgaden/berchbanner
{
        
	tesssize 64
        deformvertexes wave 194 sin 0 3 0 .4
        deformvertexes normal .3 .2
        surfaceparm nomarks
        cull none
	qer_editorimage textures/ut_berchtesgaden/berchbanner.tga
       
        {
		map textures/ut_berchtesgaden/berchbanner.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
        {

        	map textures/sfx/shadow.tga
                tcgen environment                            
                blendfunc gl_dst_color gl_zero
                rgbgen identity
	}
}

textures/ut_berchtesgaden/treesalpha
{
	surfaceparm nomarks
	qer_editorimage textures/ut_berchtesgaden/treesalpha.tga
  	qer_trans .75
	cull none


	

	{
		map textures/ut_berchtesgaden/treesalpha.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}


}

textures/ut_berchtesgaden/ironfence
{
	qer_editorimage textures/ut_berchtesgaden/ironfence.tga
    	qer_trans .75
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/ut_berchtesgaden/ironfence.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_berchtesgaden/stillwater
{
	qer_editorimage textures/ut_berchtesgaden/water_move1.tga
	surfaceparm water
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none
	deformvertexes wave 80 sin 0 1 1 .75

	{
		map textures/ut_berchtesgaden/water_move2.tga
		tcmod turb .05 .01 0 -.025
		tcmod scroll .02 .01
		blendfunc gl_one gl_one
	}
	{
		map textures/ut_berchtesgaden/water_move3.tga
		tcmod turb .01 .05 0 .05
		tcmod scroll .01 .02
		blendfunc gl_one gl_one
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_berchtesgaden/wheel_wagon
{
	qer_editorimage textures/ut_berchtesgaden/wheel_wagon.tga
	qer_trans 0.60
	cull disable
	{
		map textures/ut_berchtesgaden/wheel_wagon.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_berchtesgaden/alphatree2
{
	surfaceparm nomarks
	qer_editorimage textures/ut_berchtesgaden/alphatree2.tga
  	qer_trans .75
	cull none


	

	{
		map textures/ut_berchtesgaden/alphatree2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}


}

textures/colors/black
{
	qer_editorimage textures/colors/black.tga
	{
		map textures/colors/black.tga
	}
}

models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

